{ pkgs, lib, ... }:
{
  # Use the systemd-boot EFI boot loader.
  boot = {
    loader = {
      systemd-boot = {
        enable = true;
        configurationLimit = 15;
        consoleMode = lib.mkDefault "max";
      };
      efi.canTouchEfiVariables = lib.mkForce false;
    };

    kernelParams = [
      "apple_dcp.show_notch=1"
    ];

    extraModprobeConfig = ''
      options hid_apple iso_layout=0
    '';

    binfmt.registrations. "x86_64-linux" = {
      magicOrExtension = ''\x7fELF\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x3e\x00'';
      mask = ''\xff\xff\xff\xff\xff\xfe\xfe\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff'';
      openBinary = true;
      interpreter = "${pkgs.box64}/bin/box64";
      preserveArgvZero = true; 
      matchCredentials = true;
      fixBinary = false;
    };
  };

  zramSwap.enable = true;
}